summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-config-sign
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2018-06-08 12:48:09 +0200
committerMarcello Stanisci <stanisci.m@gmail.com>2018-06-08 12:48:09 +0200
commitb46fd3cbf7f03f26c3248b5473cbb07809bf2ea3 (patch)
tree33081b6ec1494268ed2f3650ae457f60eab48414 /bin/taler-deployment-config-sign
parentf97f448859d090c61ba8e922ee5d2e2003876f75 (diff)
downloaddeployment-b46fd3cbf7f03f26c3248b5473cbb07809bf2ea3.tar.gz
deployment-b46fd3cbf7f03f26c3248b5473cbb07809bf2ea3.tar.bz2
deployment-b46fd3cbf7f03f26c3248b5473cbb07809bf2ea3.zip
Comments.
Diffstat (limited to 'bin/taler-deployment-config-sign')
-rwxr-xr-xbin/taler-deployment-config-sign7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/taler-deployment-config-sign b/bin/taler-deployment-config-sign
index 8ae03d2..ff170f5 100755
--- a/bin/taler-deployment-config-sign
+++ b/bin/taler-deployment-config-sign
@@ -5,7 +5,12 @@ base=$HOME
export PATH="$base/deployment":$PATH
for f in $HOME/shared-data/exchange/wire/*.json
- do chmod g+w $f
+ # If this command is run by the blue-green party
+ # that did NOT create the .json file(s) then the
+ # right group permission is already set (and the
+ # 'chmod' below would also fail).
+ do chmod g+w $f || true
done
+# Sign wire details.
taler-exchange-wire